
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Rendez-vous</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Réservations
              </li>
              <li class="breadcrumb-item">Rendez-Vous
              </li>
             
              
            </ol>
          </div>
        </div>
      </div>
    </div>
        <div class="section section-data-tables">
          <div class="row">
            <div class="col s12">
             <div class="card">
               <br/>
              <a class=" modal-trigger" href="#modal1">
                <button class="btn cyan waves-effect waves-light " type="submit" name="action" (click)="initi()">Rendez-vous
                   <i class="material-icons right">add</i>
                 </button>
              
                 </a>
          <div id="basic-calendar1"></div>
</div>
</div>
</div>
 
 <!-- Page Length Options -->
 <div class="row">
 <div class="col s12">
  <div class="card">
    <div class="card-content">
        <a class=" modal-trigger" href="#modal1">
            <button class="btn cyan waves-effect waves-light right" type="submit" name="action" (click)="initi()">Rendez-vous
               <i class="material-icons right">add</i>
             </button>
          
             </a>
             <h4 class="card-title">Liste des rendez-vous</h4>

    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Client</th>
                <th>Date</th>
                <th>Heure</th>
                <th>Description</th>
                
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let r of rendezvousreservations; index as i;">
                
 
                <td>
                  <div *ngFor="let cl of clients">
                    <div *ngIf="r.ClientId === cl.id">
                      {{cl.nom}}  {{cl.prenom}}
                    </div>
                  </div>
                </td>
                <td>{{r.date}}</td>
                <td>{{r.Heure}}:{{r.minute}}</td>
                <td>{{r.description}}</td>
              
                
                <td> <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                  <li><a  class="modal-trigger" href="#modal2" (click)="getOne(r.id)"> Modifier</a></li>
                  <li><a class="modal-trigger" (click)="delete(r.id)"> Supprimper</a></li>
                  </ul></td>
              
              
              </tr>
      
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
 </div>
 </div>
 
 
        <div id="modal1" class="modal" style="width: 40%;">
        <form #f="ngForm" (ngSubmit)="save(f.value)">
        <div class="modal-content" style="margin-left: 40px; margin-right: 30px;"  >
        <h5>Ajouter un Rendez-vous</h5>
        <br>
        <div class="row">
        <div class="input-field col m6 s12">
          <label for="nbrpersonne" class="active">Client</label>
               <select  searchable='Liste de Client' id="xxxx"  name="client" #client="ngModel" [(ngModel)]="rendezvousreservation.client" required >
                    <option *ngFor="let c of clients" [value]="c.id">
                   {{c.nom}} {{c.prenom}} || {{c.cin}}
                     </option>
               </select>
        </div>
        <div class="input-field col m6 s12">
          <input type="text" name="description" #description="ngModel" [(ngModel)]="rendezvousreservation.description" required >
          <label for="nbrpersonne">Description</label>
        </div>
        </div>
        <div class="row">
          <div class="input-field col m6 s12">
            <input type="date" class="validate" name="date" #date="ngModel" [(ngModel)]="rendezvousreservation.date" required >
            <label for="nbrpersonne">Date</label>
            <small  class="errorTxt1" *ngIf="date.touched  &&  date.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

          </div>
          <div class="input-field col m3 s12">
            <select class="browser-default" name="Heure" #Heure="ngModel" [(ngModel)]="rendezvousreservation.Heure" required >
                <option value="" disabled selected>Heures</option>
                <option>01</option>
                <option>02</option>
                <option>03</option>
                <option>04</option>
                <option>05</option>
                <option>06</option>
                <option>07</option>
                <option>08</option>
                <option>09</option>
                <option>10</option>
                <option>11</option>
                <option>12</option>
                <option>13</option>
                <option>14</option>
                <option>15</option>
                <option>16</option>
                <option>17</option>
                <option>18</option>
                <option>19</option>
                <option>20</option>
                <option>21</option>
                <option>22</option>
                <option>23</option>
              </select>
        </div>
        <div class="input-field col m3 s12">
          <select class="browser-default" name="minute" #minute="ngModel" [(ngModel)]="rendezvousreservation.minute" required>
              <option value="" disabled selected>Minutes</option>
              <option>00</option>
              <option>10</option>
              <option>20</option>
              <option>30</option>
              <option>40</option>
              <option>50</option>
            </select>
        </div>
          
          
        </div>
            <div class="modal-footer">
                <button class="btn cyan waves-effect waves-light right" [disabled]="f.invalid" type="submit" name="action">Valider
                  <i class="material-icons right">send</i>
                </button>
            </div>
        
        </div>
      </form>
        </div>



        <div id="modal2" class="modal" style="width: 40%;">
          <form #fu="ngForm" (ngSubmit)="update(fu.value)">
          <div class="modal-content" style="margin-left: 40px; margin-right: 30px;"  >
          <h5>Modifier un Rendez-vous</h5>
          <br>
          <div class="row">
        
          <div class="input-field col m6 s12">
            <input type="text" name="description" #description="ngModel" [(ngModel)]="rendezvousreservation.description" required >
            <label for="nbrpersonne">Description</label>
          </div>
          </div>
          <div class="row">
            <div class="input-field col m6 s12">
              <input type="date" name="date" #date="ngModel" [(ngModel)]="rendezvousreservation.date" required >
              <label for="nbrpersonne">Date</label>
            </div>
            <div class="input-field col m3 s12">
              <select class="browser-default" name="Heure" #Heure="ngModel" [(ngModel)]="rendezvousreservation.Heure" required >
                  <option value="" disabled selected>Heures</option>
                  <option>01</option>
                  <option>02</option>
                  <option>03</option>
                  <option>04</option>
                  <option>05</option>
                  <option>06</option>
                  <option>07</option>
                  <option>08</option>
                  <option>09</option>
                  <option>10</option>
                  <option>11</option>
                  <option>12</option>
                  <option>13</option>
                  <option>14</option>
                  <option>15</option>
                  <option>16</option>
                  <option>17</option>
                  <option>18</option>
                  <option>19</option>
                  <option>20</option>
                  <option>21</option>
                  <option>22</option>
                  <option>23</option>
                </select>
          </div>
          <div class="input-field col m3 s12">
            <select class="browser-default" name="minute" #minute="ngModel" [(ngModel)]="rendezvousreservation.minute" required>
                <option value="" disabled selected>Minutes</option>
                <option>00</option>
                <option>10</option>
                <option>20</option>
                <option>30</option>
                <option>40</option>
                <option>50</option>
              </select>
          </div>
            
            
          </div>
              <div class="modal-footer">
                  <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Valider
                    <i class="material-icons right">send</i>
                  </button>
              </div>
          
          </div>
        </form>
          </div>
        
        </div>
        
               
